import { IObservableWithChange, ITransaction } from "../base.js";
export declare function observableSignal<TDelta = void>(debugName: string): IObservableSignal<TDelta>;
export declare function observableSignal<TDelta = void>(owner: object): IObservableSignal<TDelta>;
export interface IObservableSignal<TChange> extends IObservableWithChange<void, TChange> {
    trigger(tx: ITransaction | undefined, change: TChange): void;
}
